## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate zstd-safe
%global upstream_version 6.0.4+zstd.1.5.4

Name:           rust-zstd-safe
Version:        6.0.4
Release:        %autorelease
Summary:        Safe low-level bindings for the zstd compression library

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/zstd-safe
Source:         %{crates_source %{crate} %{upstream_version}}
# Manually created patch for downstream crate metadata changes
# * remove zstd version from version field
# * exclude a development-only shell script
Patch:          zstd-safe-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Safe low-level bindings for the zstd compression library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%license %{crate_instdir}/LICENSE.Apache-2.0
%license %{crate_instdir}/LICENSE.Mit
%doc %{crate_instdir}/Readme.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+arrays-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+arrays-devel %{_description}

This package contains library source intended for building other packages which
use the "arrays" feature of the "%{crate}" crate.

%files       -n %{name}+arrays-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bindgen-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bindgen-devel %{_description}

This package contains library source intended for building other packages which
use the "bindgen" feature of the "%{crate}" crate.

%files       -n %{name}+bindgen-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+debug-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+debug-devel %{_description}

This package contains library source intended for building other packages which
use the "debug" feature of the "%{crate}" crate.

%files       -n %{name}+debug-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+doc-cfg-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+doc-cfg-devel %{_description}

This package contains library source intended for building other packages which
use the "doc-cfg" feature of the "%{crate}" crate.

%files       -n %{name}+doc-cfg-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+experimental-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+experimental-devel %{_description}

This package contains library source intended for building other packages which
use the "experimental" feature of the "%{crate}" crate.

%files       -n %{name}+experimental-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+fat-lto-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+fat-lto-devel %{_description}

This package contains library source intended for building other packages which
use the "fat-lto" feature of the "%{crate}" crate.

%files       -n %{name}+fat-lto-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+legacy-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+legacy-devel %{_description}

This package contains library source intended for building other packages which
use the "legacy" feature of the "%{crate}" crate.

%files       -n %{name}+legacy-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+no_asm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+no_asm-devel %{_description}

This package contains library source intended for building other packages which
use the "no_asm" feature of the "%{crate}" crate.

%files       -n %{name}+no_asm-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pkg-config-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pkg-config-devel %{_description}

This package contains library source intended for building other packages which
use the "pkg-config" feature of the "%{crate}" crate.

%files       -n %{name}+pkg-config-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+thin-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+thin-devel %{_description}

This package contains library source intended for building other packages which
use the "thin" feature of the "%{crate}" crate.

%files       -n %{name}+thin-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+thin-lto-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+thin-lto-devel %{_description}

This package contains library source intended for building other packages which
use the "thin-lto" feature of the "%{crate}" crate.

%files       -n %{name}+thin-lto-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+zdict_builder-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+zdict_builder-devel %{_description}

This package contains library source intended for building other packages which
use the "zdict_builder" feature of the "%{crate}" crate.

%files       -n %{name}+zdict_builder-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+zstdmt-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+zstdmt-devel %{_description}

This package contains library source intended for building other packages which
use the "zstdmt" feature of the "%{crate}" crate.

%files       -n %{name}+zstdmt-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{upstream_version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Thu Feb 23 2023 Fabio Valentini <decathorpe@gmail.com> - 6.0.4-1
- Update to version 6.0.4+zstd.1.5.4; Fixes RHBZ#2145249

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Aug 06 2022 Fabio Valentini <decathorpe@gmail.com> - 5.0.2-1
- Update to version 5.0.2+zstd.1.5.2; Fixes RHBZ#2043688

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Apr 12 2022 Fabio Valentini <decathorpe@gmail.com> - 4.1.4-1
- Update to version 4.1.4+zstd.1.5.2

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jan 07 2022 Fabio Valentini <decathorpe@gmail.com> - 4.1.3-1
- Update to version 4.1.3+zstd.1.5.1; Fixes RHBZ#2035403

* Sun Nov 14 2021 Robert-André Mauchin <zebob.m@gmail.com> - 4.1.1-1
- Update to 4.1.1 Close: rhbz#1960713

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon May 10 2021 Fabio Valentini <decathorpe@gmail.com> - 4.0.0-1
- Update to version 4.0.0+zstd.1.4.9.

* Sat Mar 06 2021 Fabio Valentini <decathorpe@gmail.com> - 3.0.1-1
- Update to version 3.0.1+zstd.1.4.9.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jun 19 2020 Josh Stone <jistone@redhat.com> - 2.0.5-1
- Update to 2.0.5+zstd.1.4.5

* Sat Jun 06 2020 Josh Stone <jistone@redhat.com> - 2.0.4-1
- Update to 2.0.4+zstd.1.4.5

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Dec 16 03:41:27 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2.0.3-1
- Initial package

